<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net8.0-windows7.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <UseWPF>true</UseWPF>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.2.2" />
    <PackageReference Include="MiniExcel" Version="1.32.1" />
    <PackageReference Include="SqlSugarCore" Version="5.1.4.159" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="MyWPFControl">
      <HintPath>..\dll\MyWPFControl.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\TFT-MelsecMcNet\TFT-MelsecMcNet.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Pages\RobotInterfaceOut.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <None Update="Charts\CSS\Main.css">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\Htmls\AxisData.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\Htmls\AxisData1.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\Htmls\AxisData2.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\Htmls\AxisData3.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\Htmls\AxisData4.html">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
    <None Update="Charts\JS\echarts.min.js">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Charts\JS\jquery.min.js">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Charts\JS\walden.js">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>
